/*VARIABLES CONSTANTES*/

var day_full=['Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi'];
var day=['Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'];
var month=['Janvier', 'Fevrier', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Août', 'Septembre', 'Octobre', 'Novembre', 'Decembre'];	
var now=new Date();

/*FONCTIONS*/
function nowaday()
{
	var date_actuel=now.getDate()+'/'+now.getMonth()+'/'+now.getFullYear();
	for (var i=0; i<$('.disabled').length+1; i++)
	{
		
		if ($('.disabled:nth('+i+')').data('date')===date_actuel)

		{
			$('.disabled:nth('+i+')').parent().addClass('green white-text');
			$('.disabled:nth('+i+')').addClass('white-text');
		}
	}
}

function date_prochain()
{
	for (var i=0; i<$('.disabled').length+1; i++)
	{
		var debut_cycle=localStorage.getItem('mens_debut_cycle');
		if ($('.disabled:nth('+i+')').data('date')===debut_cycle)

		{
			$('.disabled:nth('+i+')').parent().addClass('violet');
			$('.disabled:nth('+i+')').addClass('white-text');
		}
	}
}

function set_prochain_regle()
{
	for (var i=0; i<$('.disabled').length+1; i++)
	{
		var prochain_regle=localStorage.getItem('mens_prochain_regle');
		if ($('.disabled:nth('+i+')').data('date')===prochain_regle)

		{
			$('.disabled:nth('+i+')').parent().addClass('yellow');
			$('.disabled:nth('+i+')').addClass('black-text');
		}
	}
}

function debut_regle()
{
	for (var i=0; i<$('.disabled').length+1; i++)
	{
		var debut_cycle=localStorage.getItem('mens_debut_cycle');
		if ($('.disabled:nth('+i+')').data('date')===debut_cycle)

		{
			$('.disabled:nth('+i+')').parent().addClass('purple');
			$('.disabled:nth('+i+')').addClass('white-text');
		}
	}
}

function periode_ovulation()
{
	for (var i=0; i<$('.disabled').length+1; i++)
	{
		if ($('.disabled:nth('+i+')').data('date')===localStorage.getItem('mens_periode_ovulation1') || $('.disabled:nth('+i+')').data('date')===localStorage.getItem('mens_periode_ovulation2') || $('.disabled:nth('+i+')').data('date')===localStorage.getItem('mens_periode_ovulation3'))

		{
			$('.disabled:nth('+i+')').parent().addClass('orange');
			$('.disabled:nth('+i+')').addClass('black-text');
		}

		else if ($('.disabled:nth('+i+')').data('date')===localStorage.getItem('mens_periode_ovulation'))
		{
			$('.disabled:nth('+i+')').parent().addClass('red');
			$('.disabled:nth('+i+')').addClass('black-text');
		}
	}
}


function defaut()
{
	$('#mois').val(now.getMonth());
}

function sauver_calendrier()
{
	for (var i=0; i<$('.rapport').length; i++)
	{
		localStorage.setItem('rapport'+i, $('.rapport:nth('+i+')').data('date'));
	}

	localStorage.setItem('rapport_length', $('.rapport').length);

	Materialize.toast('Calendrier enregistré', 3000);
}

function entete()
{
	$('.calender').append('<table class="table striped responsive centered bordered"><tr><th class="center">Dim</th><th class="center">Lun</th><th class="center">Mar</th><th class="center">Mer</th><th class="center">Jeu</th><th class="center">Ven</th><th class="center">Sam</th></tr><tr class="ligne" id="1"></tr></table>');
}

function erase()
{
	$('table').remove();
}



function affiche(mois, annee)
{

	//test du début du mois
	var debut=new Date(annee, mois, 1);
	var jour_debut=day[debut.getDay()];
	var j=1;

	//test de fin du mois

		
	var ch=0;
	var fin=new Date(annee, mois, 28+ch);
	var jour=fin.getDate();
	var fin_mois=fin.getMonth();

	for (var i=0; i<5;i++)
	{
		var fin=new Date(annee, mois, 28+i);
		var fin_mois=fin.getMonth();

		if (fin_mois==mois)
		{
			
		}

		else
		{
			var plus=i;
			break;
		}
	}

	var fin_du_mois=plus+27;



	// Calcul
	
	if (jour_debut=='Dim')
	{
		for (i=1; i<fin_du_mois+1; i++)
		{
			var check_last=new Date(annee, mois, i+1);
			if (day[check_last.getDay()]=='Dim')
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
				j=j+1;
				$('tbody').append('<tr class="ligne" id='+j+'></tr>');
			}
			else
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
			}
		}
	}

	else if (jour_debut=='Lun')
	{
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		for (i=1; i<fin_du_mois+1; i++)
		{
			var check_last=new Date(annee, mois, i+1);
			if (day[check_last.getDay()]=='Dim')
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
				j=j+1;
				$('tbody').append('<tr class="ligne" id='+j+'></tr>');
			}
			else
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
			}
		}
	}

	else if (jour_debut=='Mar')
	{		
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		for (i=1; i<fin_du_mois+1; i++)
		{
			var check_last=new Date(annee, mois, i+1);
			if (day[check_last.getDay()]=='Dim')
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
				j=j+1;
				$('tbody').append('<tr class="ligne" id='+j+'></tr>');
			}
			else
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
			}
		}
	}

	else if (jour_debut=='Mer')
	{
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		for (i=1; i<fin_du_mois+1; i++)
		{
			var check_last=new Date(annee, mois, i+1);
			if (day[check_last.getDay()]=='Dim')
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
				j=j+1;
				$('tbody').append('<tr class="ligne" id='+j+'></tr>');
			}
			else
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
			}
		}
	}

	else if (jour_debut=='Jeu')
	{
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		for (i=1; i<fin_du_mois+1; i++)
		{
			var check_last=new Date(annee, mois, i+1);
			if (day[check_last.getDay()]=='Dim')
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
				j=j+1;
				$('tbody').append('<tr class="ligne" id='+j+'></tr>');
			}
			else
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
			}
		}
	}

	else if (jour_debut=='Ven')
	{
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		for (i=1; i<fin_du_mois+1; i++)
		{
			var check_last=new Date(annee, mois, i+1);
			if (day[check_last.getDay()]=='Dim')
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
				j=j+1;
				$('tbody').append('<tr class="ligne" id='+j+'></tr>');
			}
			else
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
			}
		}
	}

	else
	{
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		$('#'+j).append('<td class="center"><a href=""></a></td>');
		for (i=1; i<fin_du_mois+1; i++)
		{
			var check_last=new Date(annee, mois, i+1);
			if (day[check_last.getDay()]=='Dim')
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
				j=j+1;
				$('tbody').append('<tr class="ligne" id='+j+'></tr>');
			}
			else
			{
				$('#'+j).append('<td class="center"><a href="" class="disabled" data-date='+i+'/'+mois+'/'+annee+'>'+i+'</a></td>');
			}
		}
	}
};

function load_rapport()
{
	for (var i=0; i<$('.disabled').length+1; i++)
	{
		for (var j=0; j<localStorage.getItem('rapport_length'); j++)
		{
			if ($('.disabled:nth('+i+')').data('date')==localStorage.getItem('rapport'+j))
			{
				$('.disabled:nth('+i+')').addClass('rapport');
				$('.disabled:nth('+i+')').addClass('black-text');
			}
		}
	}
}


/*ACTIONS*/
$(document).ready(function(){
$('select').material_select();
defaut();
affiche(now.getMonth(), now.getFullYear());
nowaday();
load_rapport();
set_prochain_regle();
periode_ovulation();
debut_regle();
});


$('.calender').on('click', 'a.disabled', function(event){
event.preventDefault();
//$(this).toggleClass($('#marque').val()+' white-text');
$(this).toggleClass($('#marque').val());
$(this).toggleClass('black-text');
});

$('#mois').on('change', function(){
	erase();
	entete();
	affiche($(this).val(), 2015);
	nowaday();
	set_prochain_regle();
	periode_ovulation();
	debut_regle();
});

$('#save_calendar').click(function(){
sauver_calendrier();
});





